Bug 64217 - RPM %setup can't grok zip sources
RPM %setup can't grok zip sources
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: rpm-build (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-29 11:22 EDT by Nicolas Mailhot
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-02 13:58:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2002-04-29 11:22:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020408

Description of problem:
When fed up a zip source the RedHat version of the %setup rpm macro will try to
untar it.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Get a specfile that uses a zip source
(a good example is
http://jpackage.sourceforge.net/rpm/non-free/jaf/jaf-1.0.1-9jpp.nosrc.rpm)
2. Try to build it
Weep as rpm tries tu untar the zip
	

Actual Results:  rpm tries tu untar the zip

+ cd /usr/src/redhat/BUILD
+ rm -rf /var/tmp/jaf-1.0.1-buildroot
+ cd /usr/src/redhat/BUILD
+ rm -rf jaf-1.0.1
+ tar -xvvf /usr/src/redhat/SOURCES/jaf1_0_1.zip


Expected Results:  + cd /usr/src/redhat/BUILD
+ rm -rf /var/tmp/jaf-1.0.1-buildroot
+ cd /usr/src/redhat/BUILD
+ rm -rf jaf-1.0.1
+ unzip /usr/src/redhat/SOURCES/jaf1_0_1.zip

Additional info:

1. This specfile (and a lot of others) where written by mandrake users, so the
mandrake version of rpm should be sane

2. tested both on rawhide (rpm-4.0.4-7x.16) and RH 7.2 (rpm-4.0.4-7x)

This is a major pain, we do a lot of java inhouse and java software is usually
distributed as zipfiles. Sometimes the licence prohibits distribution of
anything other than the nosrc.rpm and the url of the zip.
Comment 1 Nicolas Mailhot 2002-10-07 04:58:54 EDT
This seems to work with RH 8.0, thanks

Note You need to log in before you can comment on or make changes to this bug.